POST
/v1/mgmt/sso/idp/app/secret/addAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
appId*string
Length
1 <= length <= 254name*string
Length
1 <= length <= 100expireTime?integer
Format
int32Add a new named OIDC client secret to an SSO application, using a valid management key. Returns the new secret metadata and its cleartext value (shown only once).
curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/secret/add" \ -H "Content-Type: application/json" \ -d '{ "appId": "string", "name": "string" }'{ "meta": { "id": "string", "name": "string", "status": "string", "expireTime": 0, "createdTime": 0 }, "cleartext": "string"}export interface Response {meta?: {id?: stringname?: stringstatus?: stringexpireTime?: numbercreatedTime?: number}cleartext?: string} Was this helpful?